# eslint-config-elmish

ESLint and Prettier configs designed to encourage fp patterns in js and react native environments.

## Usage

This includes all packages for linting, including ESLint, Prettier, and all necessary plugins.

```bash
npm install --save-dev linter-fp-native
```

```bash
yarn add linter-fp-native --dev
```

Create an `.eslintrc` file

```json
{
    "extends": "linter-fp-native"
}
```

Create a `prettier.config.js` file

```js
/* eslint-disable */
module.exports = require('linter-fp-native').prettier
```
